Get an operating system for a server model
GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/operating_systems/{operating_system_id}
By sending a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/operating_systems/{operating_system_id}, you will retrieve information about a chosen operating system. This request has the required path parameters described below.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section. |
operating_system_id | stringYou can see all the operating system IDs with the help of the List all operating systems request described in this section. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1582/order_options/server_models/2673/operating_systems/259"{ "id": 259, "full_name": "Ubuntu 18.04-server x86_64", "name": "Ubuntu", "version": "18.04-server", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ]}